Newman - Cannot find module '@postman/form-data'

Hello.

I have installed newman globally

C:\Users\Administrator>npm install -g newman
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See There’s Math.random(), and then there’s Math.random() · V8 for details.
C:\Users\Administrator\AppData\Roaming\npm\newman → C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\bin\newman.js

  • newman@5.3.0
    updated 3 packages in 6.124s

Afterwards when I try to start newman, I get this error…

C:\Users\Administrator>newman
internal/modules/cjs/loader.js:892
throw err;
^

Error: Cannot find module ‘@postman/form-data’
Require stack:

  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-request\request.js
  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-request\index.js
  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\requester\request-wrapper.js
  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\requester\requester.js
  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\requester\index.js
  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\runner\extensions\http-request.command.js
  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\runner\run.js
  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\runner\index.js
  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\index.js
  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\index.js
  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\lib\run\index.js
  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\lib\index.js
  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\index.js
  • C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\bin\newman.js
    at Function.Module._resolveFilename (internal/modules/cjs/loader.js:889:15)
    at Function.Module._load (internal/modules/cjs/loader.js:745:27)
    at Module.require (internal/modules/cjs/loader.js:961:19)
    at require (internal/modules/cjs/helpers.js:92:18)
    at Object. (C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-request\request.js:17:16)
    at Module._compile (internal/modules/cjs/loader.js:1072:14)
    at Object.Module._extensions…js (internal/modules/cjs/loader.js:1101:10)
    at Module.load (internal/modules/cjs/loader.js:937:32)
    at Function.Module._load (internal/modules/cjs/loader.js:778:12)
    at Module.require (internal/modules/cjs/loader.js:961:19) {
    code: ‘MODULE_NOT_FOUND’,
    requireStack: [
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-request\request.js’,
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-request\index.js’,
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\requester\request-wrapper.js’,
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\requester\requester.js’,
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\requester\index.js’,
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\runner\extensions\http-request.command.js’,
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\runner\run.js’,
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\runner\index.js’,
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\lib\index.js’,
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\node_modules\postman-runtime\index.js’,
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\lib\run\index.js’,
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\lib\index.js’,
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\index.js’,
    ‘C:\Users\Administrator\AppData\Roaming\npm\node_modules\newman\bin\newman.js’
    ]
    }

Hey @xUrko

Could you clarify what you mean by when I start Newman, please?

Is there a particular command that you’re using?